FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000811FL54. Element, Byte, Record or other APIpublic2016-06-01 13:592016-10-10 08:29
ReporterFalk Reichbott 
Assigned ToRolf-Dieter Euler 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV2R20
Product Version5.1.11 
Target Version5.1.14Fixed in Version5.1.13 
Summary0000811: Support of SMF record type 89 for FLAM components
DescriptionCustomer using our APIs can not determine the CPU usage and other performance messurments of our components. To solve this, we plan to support SMF logging in each FLAM component. This will allow to measure compression, encryption, character conversion, encoding, formatting and I/O efforts per implementation (GZIP, BZIP2, XZ, PGP, XML, TXT, FLAM4, BLOCK-IO, Record-IO, ...).
Additional Informationsee http://publibfp.dhe.ibm.com/epubs/pdf/iea2g2c1.pdf [^]

Chapter 12. IFAUSAGE — Collecting Usage Data
Any product or application can measure usage. If you are a software vendor or
application owner, use the information in this topic to enable your software
product to measure its usage, perhaps to participate in measured usage pricing.
The measurement function collects data using SMF record types 30 and 89. SMF
record type 30 (Version 5 only) contains usage data for the product's address space.
System-wide usage data for each product is recorded on SMF record type 89. The
control and writing of these records is the same as for any SMF record type.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000095closedUlrich Schwab Support of SMF logging in z/OS 

-  Notes
(0000996)
Falk Reichbott (administrator)
2016-06-09 10:36

Implemented for all FL5 components with CPU time and processed bytes
(0001011)
Falk Reichbott (administrator)
2016-07-26 15:23
edited on: 2016-08-10 09:48

APF authorisation required (current solution with IFAUSAGE are not possible)

(0001012)
Falk Reichbott (administrator)
2016-07-26 15:24
edited on: 2016-08-10 09:51

CPU usage (including SRB times) will be determined with TIMEUSED makro and written to the normal log. A SMF logging can later be activated if a record type given. The issue is moved to revision 14 to re-implement all these stuff.

(0001027)
Falk Reichbott (administrator)
2016-10-10 08:29

Add usage logging and reporting feature unsing a log stream. More information can be found in install.txt for z/OS.

The TIMEUSED macro are used and the CPU, SRB (ZIIP), possible SRB and total time together with the amount of processed bytes are logged.

The feature can be used to determine cost saving for ZIIP, ZEDC and other co-processors.

- Issue History
Date Modified Username Field Change
2016-06-01 13:59 Falk Reichbott New Issue
2016-06-01 13:59 Falk Reichbott Status new => assigned
2016-06-01 13:59 Falk Reichbott Assigned To => Rolf-Dieter Euler
2016-06-01 14:12 Falk Reichbott Relationship added related to 0000095
2016-06-01 17:37 Ulrich Schwab Summary Support of SMF record type 89 for FLAM komponents => Support of SMF record type 89 for FLAM components
2016-06-01 17:37 Ulrich Schwab Description Updated View Revisions
2016-06-09 10:36 Falk Reichbott Note Added: 0000996
2016-07-26 15:23 Falk Reichbott Note Added: 0001011
2016-07-26 15:24 Falk Reichbott Note Added: 0001012
2016-07-26 15:25 Falk Reichbott Note Edited: 0001012 View Revisions
2016-08-10 09:48 Falk Reichbott Note Edited: 0001011 View Revisions
2016-08-10 09:51 Falk Reichbott Note Edited: 0001012 View Revisions
2016-08-10 09:51 Falk Reichbott Target Version 5.1.13 => 5.1.14
2016-10-10 08:29 Falk Reichbott Note Added: 0001027
2016-10-10 08:29 Falk Reichbott Status assigned => resolved
2016-10-10 08:29 Falk Reichbott Fixed in Version => 5.1.13
2016-10-10 08:29 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker